#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Clone
Summary:	Clone - Perl module for recursively copying Perl datatypes
Summary(pl.UTF-8):	Clone - moduł Perla obsługujący rekursywne kopiowanie zmiennych w Perlu
Name:		perl-Clone
Version:	0.37
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Clone/%{pdir}-%{version}.tar.gz
# Source0-md5:	b0c9d1bcf9e85ab2fbc0b436cfc801f5
URL:		http://search.cpan.org/dist/Clone/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a clone() method which makes recursive copies
of nested hash, array, scalar and reference types, including tied
variables and objects.

%description -l pl.UTF-8
Ten moduł dostarcza clone(), metodę służącą do rekurencyjnego
kopiowania zagnieżdżonych tablic asocjacyjnych, tablic, skalarów i
referencji, włącznie ze związanymi zmiennymi i obiektami.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Clone.pm
%attr(755,root,root) %{perl_vendorarch}/auto/Clone/Clone.so
%{perl_vendorarch}/auto/Clone/autosplit.ix
%{_mandir}/man3/*
%changelog
* Sun Oct 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Clone.git;a=log;h=master

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> ea07a2d
- updated to 0.37

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0ada2bf
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9cefab7
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 61b484b
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 65ede34
- updated to 0.34

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4f99cef
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 655fc9c
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> dec26ce
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f26bcc
- release 2

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 440e15b
- updated to 0.31

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> 5094bf6
- up to 0.30, rel 1

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 00b9cb5
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> e02eb12
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> d725710
- up to 0.28

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9c03c4b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 67b9311
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 27b6dd9
- updated to 0.22

* Sat Apr 08 2006 Maciej Pijanka <agaran@pld-linux.org> 0cc367b
- up to 0.20 rel 1 builds here

* Wed Jun 22 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 8c060fd
- updated to 0.18

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f36e678
- formatting

